org.sonatype.maven.polyglot.groovy

## Class GroovyModelWriter

- java.lang.Object
- - org.sonatype.maven.polyglot.io.ModelWriterSupport
  - - org.sonatype.maven.polyglot.groovy.GroovyModelWriter

- All Implemented Interfaces:
    org.apache.maven.model.io.ModelWriter

      @Component(role=org.apache.maven.model.io.ModelWriter.class,
                 hint="groovy")
      public class GroovyModelWriter
      extends ModelWriterSupport

  Writes a Maven `Model` to a `pom.groovy`.
  Since:
    0.7
  Author:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.codehaus.plexus.logging.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyModelWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(java.io.Writer output, java.util.Map<java.lang.String,java.lang.Object> options, org.apache.maven.model.Model model)`

    - ### Methods inherited from class org.sonatype.maven.polyglot.io.ModelWriterSupport

      `write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          @Requirement
          protected org.codehaus.plexus.logging.Logger log

  - ### Constructor Detail

    - #### GroovyModelWriter

          public GroovyModelWriter()

  - ### Method Detail

    - #### write

          public void write(java.io.Writer output,
                   java.util.Map<java.lang.String,java.lang.Object> options,
                   org.apache.maven.model.Model model)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`